<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: ResourceFilter.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: ResourceFilter.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React, { Component } from "react";
import Form from "react-bootstrap/Form";

/**
 * Generates a dropdown list of resources
 *
 * @component
 */
class ResourceFilter extends Component {
  /** @constructor */
  constructor(props) {
    super(props);
    this.state = {
      resourceFilter: [],
    };
  }

  /**
   * Fetches resources from a database
   *
   * @method
   */
  async componentDidMount() {
    try {
      const res = await fetch(`/resourceFilter`, {
        method: "GET",
      });
      const data = await res.json();
      this.setState({ resourceFilter: data });
    } catch (e) {
      console.error(e);
    }
  }

  /**
   * Passes a selected resource to a parent
   *
   * @param {Object} evt - onChange event of a select element
   * @method
   */
  handleSelectChange = (evt) => {
    const resource = evt.target.value;
    this.props.selectionChanged(resource);
  };

  /**
   * Renders a dropdown with resources
   *
   * @method
   */
  render() {
    return (
      &lt;div className="ontology-pool-selection">
        &lt;Form.Label style={{ display: "inline", marginRight: "10px" }}>
          Ontology pool:
        &lt;/Form.Label>
        &lt;Form.Control
          as="select"
          className="ontology-pool-select"
          style={{ width: "15em", display: "inline" }}
          onChange={this.handleSelectChange}
        >
          &lt;option key="all" value="all">
            All ontologies in OOSP
          &lt;/option>
          {this.state.resourceFilter
            .sort((a, b) => a.DISTINCT > b.DISTINCT)
            .map((item) => {
              if (item.DISTINCT) {
                return &lt;option key={item.DISTINCT}>{item.DISTINCT}&lt;/option>;
              }
              return false;
            })}
        &lt;/Form.Control>
      &lt;/div>
    );
  }
}

export default ResourceFilter;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
